TransactionalPromiseDecorator (Grails 3.1.1)
Date: 2016-02-04

Package: grails.async.services

## [Groovy] Class TransactionalPromiseDecorator

- grails.async.services.TransactionalPromiseDecorator

- All Implemented Interfaces and Traits:
    PromiseDecorator, org.springframework.transaction.TransactionDefinition

      @groovy.transform.CompileStatic
      class TransactionalPromiseDecorator

  A PromiseDecorator that wraps a Promise in a transaction

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.transaction.support.DefaultTransactionDefinition` | `transactionDefinition`
    `org.springframework.transaction.PlatformTransactionManager` | `transactionManager`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TransactionalPromiseDecorator (org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `TransactionalPromiseDecorator (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition)`
    `TransactionalPromiseDecorator (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.annotation.Transactional transactionDefinition)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.Closure<D>` | `decorate(groovy.lang.Closure<D> original)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @groovy.lang.Delegate org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition

    - #### org.springframework.transaction.PlatformTransactionManager transactionManager

  - ### Constructor Detail

    - #### TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.support.DefaultTransactionDefinition transactionDefinition)

    - #### TransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.annotation.Transactional transactionDefinition)

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure<D> decorate(groovy.lang.Closure<D> original)